LibreOffice: MultiServiceFactory Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Exported Interfaces | List of all members
MultiServiceFactory Service Referencepublished

Provides a collection of implementations of services. More...

`import"MultiServiceFactory.idl";`

Inheritance diagram for MultiServiceFactory:

## Exported Interfaces
interface | com::sun::star::lang::XMultiServiceFactory
| This interface uses a service name to instantiate a component which supports the specified service. More...
interface | com::sun::star::lang::XMultiComponentFactory
| This interface uses a service name and a component context to instantiate a component which supports the specified service. More...

## Additional Inherited Members
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XMultiComponentFactory
com::sun::star::uno::XInterface | createInstanceWithContext ([in] string aServiceSpecifier, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory. More...
com::sun::star::uno::XInterface | createInstanceWithArgumentsAndContext ([in] string ServiceSpecifier, [in] sequence< any > Arguments, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory, and initializes the new instance with the given arguments and context. More...
sequence< string > | getAvailableServiceNames ()
| Gets the names of all supported services. More...

## Detailed Description

Provides a collection of implementations of services.

The factories for instantiating objects of implementations are accessed via a service name.

The com::sun::star::container::XContentEnumerationAccess interface can be supported optionally. If it is supported, it is possible to enumerate all implementations that support the service specified with the argument of com::sun::star::container::XContentEnumerationAccess::createContentEnumeration(). The enumerator returns interfaces. The type of the interface is not specified. Commonly this is XSingleComponentFactory.

## Exported Interfaces

## ◆ com::sun::star::lang::XMultiComponentFactory

interface com::sun::star::lang::XMultiComponentFactory

This interface uses a service name and a component context to instantiate a component which supports the specified service.

## ◆ com::sun::star::lang::XMultiServiceFactory

interface com::sun::star::lang::XMultiServiceFactory

This interface uses a service name to instantiate a component which supports the specified service.

The documentation for this service was generated from the following file:

- com/sun/star/lang/MultiServiceFactory.idl